
rm(list=ls())

aromasoap<- function(peso1, peso2=NULL) #peso2=NULL indica que caso ele esteja ausente, a funo vai entender como nulo. 
{
  analgesico <- c("Jasmin",  "Grapefruit", "Alecrim", "Gengibre", "Canela", "Camomila", "Eucalipto", "Erva-doce", "Hortela", "Melaleuca", "Menta", "Limao", "Cravo", "Manjerona", "Olibano")#Cria um vetor com as opes  de leos com a funo analgesico
  bactericida<- c("Alecrim", "Camomila", "Canela", "Eucalipto", "Erva-doce", "Cravo", "Tomilho","Hortela", "Lavanda", "Laranja", "Limao", "Melaleuca", "Menta", "Rosa")#Cria um vetor com as opes  de leos com a funo bactericida
  antiinflamatorio <- c("Alecrim", "Camomila", "Hortela", "Menta", "Melaleuca")#Cria um vetor com as opes  de leos com a funo antiinflamatorio
  cicatrizante<- c("Camomila","Lavanda", "Melaleuca", "Menta")#Cria um vetor com as opes  de leos com a funo cicatrizante
  descongestionante<- c("Pinho", "Tomilho", "Limao", "Canela", "Cipreste", "Olibano", "Eucalipto", "Hortela") #Cria um vetor com as opes  de leos com a funo descongestionante
  dermatologico <- c("Camomila", "Eucalipto", "Hortela", "Lavanda","Rosa", "Melaleuca", "Bergamota", "Capim-limao", "Cedro", "Mandarina", "Palmarosa")#Cria um vetor com as opes  de leos com a funo dermatologico
  circulatorio <- c("Geranio", "Alecrim", "Limao", "Rosa", "Cipreste" )#Cria um vetor com as opes  de leos com a funo circulatorio
  antidepressivo <- c("Hortela", "Alecrim","Lavanda","Rosa", "Ylang-Ylang", "Jasmin", "Laranja", "Manjerona", "Menta", "Palmarosa", "Salvia")#Cria um vetor com as opes  de leos com a funo antidepressivo
  digestivo <- c("Hortela", "Alecrim", "Lavanda", "Limao", "Ylang-Ylang", "Bergamota", "Capim-limao", "Cravo", "Erva-doce", "Laranja", "Mandarina", "Petigrain")#Cria um vetor com as opes  de leos com a funo digestivo
  diuretico <- c("Geranio", "Capim-limao", "Grapefruit")#Cria um vetor com as opes  de leos com a funo diuretico              
  capilar <- c("Limao", "Alecrim", "Ylang-Ylang")#Cria um vetor com as opes  de leos com a funo capilar
  antistress <- c("Bergamota", "Palmorosa", "Salvia")#Cria um vetor com as opes  de leos com a funo antistress
  
  
  
#Primeira interao com o usurio
cat(">>>>>Vamos montar um tratamento para voc<<<<<") #comeando a interao com uma afirmao na tela
pergunta<- readline(">>>>>Qual  o seu problema? \n 1 - Dor \n 2 - Infeco \n 3 - Inflamao \n 4 - Problema de pele \n 5 - Respiratrio \n 6 - Feridas \n 7 - Circulao \n 8 - Depresso \n 9 - Digesto \n 10 - Problema capilar \n 11 - Problema urinrio<<<<<")# cria uma pergunta interativa ao usurio
  

dor <- sample(analgesico, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo dor
infeccao <- sample(bactericida, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo infeco
inflamacao <- sample(antiinflamatorio, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo inflmao
problema_pele <- sample(dermatologico, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo problema de pele
respiratorio <- sample(descongestionante, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo respiratorio
feridas <- sample(cicatrizante, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo feridas
circulacao <- sample(circulatorio, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo circulao
depressao <- sample(antidepressivo, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo depresso
digestao <- sample(digestivo, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo digesto
problema_capilar<- sample(capilar, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo problema capilar
problema_urinario<- sample(diuretico, size=3, replace=F)#cria um vetor que retorna trs opes de leos quando o usurio escolher a opo problema urinrio

if(pergunta==1){indicacao=sample(analgesico, size=3, replace=F)}#caso o usurio escolha a opo nmero 1, retorna os leos do vetor analgesico
if(pergunta==2){indicacao=sample(infeccao, size=3, replace=F)}#caso o usurio escolha a opo nmero 2, retorna os leos do vetor infeco
if(pergunta==3){indicacao=sample(inflamacao, size=3, replace=F)}#caso o usurio escolha a opo nmero 3, retorna os leos do vetor inflamao
if(pergunta==4){indicacao=sample(problema_pele, size=3, replace=F)}#caso o usurio escolha a opo nmero 1, retorna os leos do vetor problema_pele
if(pergunta==5){indicacao=sample(respiratorio, size=3, replace=F)}#caso o usurio escolha a opo nmero 1, retorna os leos do vetor respiratorio
if(pergunta==6){indicacao=sample(feridas, size=3, replace=F)}#caso o usurio escolha a opo nmero 1, retorna os leos do vetor feridas
if(pergunta==7){indicacao=sample(circulacao, size=3, replace=F)}#caso o usurio escolha a opo nmero 1, retorna os leos do vetor circulao
if(pergunta==8){indicacao=sample(depressao, size=3, replace=F)}#caso o usurio escolha a opo nmero 1, retorna os leos do vetor depresso
if(pergunta==9){indicacao=sample(digestao, size=3, replace=F)}#caso o usurio escolha a opo nmero 1, retorna os leos do vetor digesto
if(pergunta==10){indicacao=sample(problema_capilar, size=3, replace=F)}#caso o usurio escolha a opo nmero 1, retorna os leos do vetor problema capilar
if(pergunta==11){indicacao=sample(problema_urinario, size=3, replace=F)}#caso o usurio escolha a opo nmero 1, retorna os leos do vetor problema urinario


#saboaria

gorduras <- c(  "Amendoa",  "Cacau", "Canola", "Coco", "Gergelim", "Girassol", "Oliva", "Palma", "Soja") #cria vetor com as gorduras e leos indicados 
hidroxido <- c( 0.139, 0.1287, 0.1234, 0.1836, 0.1365, 0.1362, 0.1355, 0.1408, 0.1355) #cria vetor com o ndice de saponificao dos leos
saponifica<- data.frame( gorduras, hidroxido) #cria data.frame

pergunta2<- readline(">>>>>Gostaria de saber quais leos temos? (s ou n) Resposta:") #JULIA: RENOMEEI O OBJETO PARA PERGUNTA 2, POIS VOC J HAVIA CRIADO UM OBJETO PERGUNTA A CIMA.  MAIS SEGURO E NOS AJUDA A ACHAR ERROS CASO OCORRAM.


if(substr(pergunta2, 1, 1)=="s") #para que o usrio possa receber uma tabela com os leos disponveis
{ print(saponifica$gorduras) #mostra as opes de leos 
}


sabao <- readline(">>>>Qual(is) gordura(s) deseja adicionar em seu sabonete? Vamos dar seus indices de saponificao somados \n (Digite at duas,sem vrgulas. ex: Amendoa Cacau.") #cria uma pergunta para que o usurio escolhas quais gorduras deseja saponificar



#quando apenas um leo for requisitado


if(sabao=="Amendoa") {saponificacao<-(peso1*hidroxido[1])} 
if(sabao=="Cacau") {saponificacao<-(peso1*hidroxido[2])}
if(sabao=="Canola") {saponificacao<-(peso1*hidroxido[3])}
if(sabao=="Coco") {saponificacao<-(peso1*hidroxido[4])}
if(sabao=="Gergelim") {saponificacao<-(peso1*hidroxido[5])}
if(sabao=="Girassol") {saponificacao<-(peso1*hidroxido [6])}
if(sabao=="Oliva") {saponificacao<-(peso1*hidroxido[7])}
if(sabao=="Palma") {saponificacao<-(peso1*hidroxido[8])}
if(sabao=="Soja") {saponificacao<-(peso1*hidroxido[9])}



#para dois tipos de leos



a=strsplit(sabao, split=" ")[[1]] ## Linha que separa a resposta do usurio em um vetor com dois objetos 



saponificacao=sum((saponifica[gorduras==a[1],2]*peso1), (saponifica[gorduras==a[2],2]*peso2)) #chama o valor da coluna de hidrxido (saponifica) que  referente  reposta que o usurio escreveu


indicacao2=do.call(paste, c(as.list(indicacao), sep = ", ")) #Transforma as respostas eu um s vetor, separando as palavras por vrgulas

resposta=list(saponificacao, paste("Para seu tratamento os leos medicinais",indicacao2, "so indicados.")) ## Retorna a lista de opes que o usurrio requisitou. 

return(resposta)

### Funo retorna o valor de saponificao de acordo com as gorduras escolhidas e o peso e quais os leos indicados para o problema da pessoa.  

}




