
eutad<- read.table("palmadulto.txt", sep="\t", as.is=TRUE, header=TRUE)
eutad
str(eutad)

dist<-matrix(NA, ncol=102, nrow=102) #Criado objeto para guardar as distncias.
dist

for(i in 1:101) #Calcular a distncia observada
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}

nn<- apply(dist, 1, min, na.rm=TRUE)

mnn<-mean(nn) #Calcula a mdia da distncia entre plantas vizinhas.

resultado<-rep(NA,1000)# Cria um vetor com mil "valores"
resultado
resultado[1]<-mnn

             
for(k in 2:1000) #Criando vetores para guardar restultados 
{
  xsim <- runif(102,0,320) 
  ysim<- runif(102,0, 320)
  
  xy<-matrix(NA, ncol=102, nrow=102) #criando matrizes para guardar os resultados.



for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difxsim=(xsim[i]-xsim[j])^2
    difysim=(ysim[i]-ysim[j])^2
    xy[i,j]<-sqrt(difxsim + difysim)
    xy[j,i]<-sqrt(difxsim + difysim)
  }
  }
  
    resultado[i]<- abs(mean(apply(xy, 1, min, na.rm=TRUE)))
  }


resultado[i]

x11()
hist(resultado[i])
abline(v = resultado[i][1], col="red")
abline(v = resultado[i][1]*-1, col="red")


#Calculando a probabilidade do valor ser gerado por aleatoriedade


bicaudal=sum(resultado[i]>=resultado[1]| resultado<=(resultado[1]*-1)) 
bicaudal 
length(resultado) 
probi=bicaudal/length(resultado) 
probi

unicaudal=sum(resultado[i]>=resultado[1])
unicaudal
p.uni=unicaudal/length(resultado)
p.uni


#Exerccio 2
#Simulando o teste de uma regresso linear

vertebrados<- read.table("animais.txt", header=TRUE, sep=";", dec="," , as.is=TRUE)
vertebrados

     
vertebrados.1<- vertebrados[-c(6,16,26),]
vertebrados.1
regressao <- lm(log(brain) ~ log(body), data=animais.1)
regressao
coef(regressao)

#Vetor para guardar os resultados
simula <- rep(NA, 1000)
simula.result[1] <- coef(regressao)[2]
simula.result [1] 
for (i in 2:1000)
{
  sim_brain <- sample(vertebrados.1$brain)
 resultado<- lm(log(sim_brain)~log(body), data=vertebrados.1)
 simula.result[1] <- coef(regressao)[2] 
}
hist(simula.result)
abline(v=simula.result[1], col="blue")


uni <- sum(simula.result >= simula.result[1])
uni
p.uni <- (uni/length(simula.result))*100
p.uni
