
#4.2 Cervejas

#Uma amostra de 30 estudantes foi indagada sobre seu tipo de cerveja preferida, com o seguinte resultado 

#Represente este resultado como um grfico de barras e um dotplot (funo dotchart).

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
factor(cervejas)
barplot(list(factor(cervejas))
barplot

cervejas.t <- table(cervejas) #Aqui eu transformei um vetor em tabela. Sem transformar, não havia sido realizada a contagem, portanto eu não consegui executar o gráfico
dotchart(cervejas.t)
barplot(cervejas.t)

#Qual tem maior razo dado/tinta?
#O grfico que apresenta o maior consumo de tinta  o grfico de barra. Para diminuir os custos de tinta, o ideal seria fazer o grfico em pontos ou, refazer o grfico em barras sem preenchimento, embora isso dificulte a visualização

#4.3 Caixetais

caixeta <- read.table("caixeta.csv", header=TRUE, sep=",", as.is=TRUE)
caixeta
str(caixeta)
head(caixeta)
tail(caixeta)
summary(caixeta)
library(lattice)


#Construa histogramas da altura das rvores para os diferentes caixetais ('local').
dap.1 <- caixeta$cap/pi
hist.caixeta <- hist(dap.1, col="gray", main=paste("Histograma do dap"))
hist.caixeta


table(caixeta$local)
histogram(~h|local, data=caixeta)

#H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
#Sim, de acordo com a comparao dos trs grficos, h diferenas na frequncia e tamanho das rvores para cara local analisado. 


#Exerccios 4.4

#Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio (regiao) e rotao (rotacao).egrandis <- read.table("egrandis.csv", header=TRUE, sep=";", as.is=TRUE)
egrandis <- read.table("egrandis.csv", head=TRUE, sep=";", as.is=TRUE)
head(egrandis)
tail(egrandis)
str(egrandis)
summary(egrandis)

E.grandis <- table(caixeta$especie =="E.grandis")
boxplot(egrandis$dap~egrandis$regiao*egrandis$rotacao, data=egrandis)

#Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal.
grafico<- boxplot(dap~regiao*rotacao, data=egrandis)
norm.e <- qqnorm(egrandis$ht);qqline(egrandis$ht)

#Exerccio 4.5

#Analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local) com a funo plot, mas somente para as rvores 2) de caixeta (Tabebuia cassinoides).
caixeta <- read.csv("caixeta.csv", header= TRUE, sep=",", as.is=T) 
library(lattice)s
table<-table(caixeta$arvore)
table
a1<-aggregate(caixeta$h, by=list, FUN=sum)
r<- (caixeta$cap)/(2*pi)
area <- pi * (r^2)
area 
length(area) 
caixeta$dap <- sqrt((area*2)/pi)
caixeta$dap 
length(caixeta$dap)

tab<- subset(caixeta, subset = caixeta$especie=="Tabebuia cassinoides") 
tab

chauas <- subset(tab, subset = tab$local=="chauas") 
jureia <- subset(tab, subset = tab$local=="jureia") 
retiro <- subset(tab, subset = tab$local=="retiro") 

chauas.plot<-plot( x = chauas$dap, y = chauas$h) 
jureia.plot<-plot( x = jureia$dap, y = jureia$h) 
retiro.plot<-plot( x = retiro$dap, y = retiro$h)

#Para a mesma relao do item anterior, verifique linearidade com a funo scatter.smooth
scatter.smooth(x=chauas$dap, y=chauas$h, xlab="altura chauas", ylab="dap chauas") 
scatter.smooth(x=jureia$dap, y=jureia$h, xlab="altura jureia", ylab="dap chauas") 
scatter.smooth(x=retiro$dap, y=retiro$h, xlab="altura retiro", ylab="dap chauas") 


xyplot(chauas$dap~chauas$h, tab)
xyplot(jureia$dap~jureia$h, tab)
xyplot(retiro$dap~retiro$h, tab)
