#9.2 Exerccio Anlise exploratria simultnea de duas variveis#
#Tarefa: Crie uma funo para sada grfica de anlises exploratrias de duas variveis. Essa sada pode ter por exemplo boxplot, histograma, qq norm e y por x. A funo deve permitir a entrada de dois objetos vetores de mesmo tamanho (x e y). Caso os valores de x e y forem desenhados em um mesmo grfico, defina cores diferentes. As legendas devem ser em portugus e a sada (return) deve apresentar o sumrio das duas variveis e o coeficiente de correlao. 
#DICAS: 
 #Para histogramas com variveis em um mesmo grfico pode ser utilizada a funo multhist() do pacote "plotrix". Baixe, instale o pacote e veja o help da funo.
#Utilize o cdigo do eda.shape, apresentado em aula como ponto de partida.
#Lembre-se que em algumas funes grficas o argumento add=TRUE, adiciona elementos no grfico anterior

install.packages("plotrix")

x<- rnorm(100,3,0.5)
y<- rnorm(100,2,1)


explorando<- function(x,y)
{
  library(plotrix)
  x11() #abre uma nova janela para o grfico
  par(mfrow = c(2,2))
  boxplot(x,y, col = c("blue","red"), main = "Boxplot", xlab="x", ylab="y")
  tabela<- table(x,y)
  multhist(tabela, main="Histograma", col=c("cyan", "green"), xlab="x", ylab="y")
  qqnorm(x, col = "red", ylim = c(min(c(x, y)), max(c(x, y))))
  par(new = TRUE)
  qqnorm(y, col = "blue", ylim=c(min(c(x, y)),max(c(x, y))))
  par(new = FALSE)
  qqline(x, col = "blue")
  qqline(y, col= "red")
  plot(y~x)
  abline(lm(y~x))
  parametros = list("variavel x" = summary(x), "variavel y" = summary(y), "correlacao" = cor(x, y))
  return(parametros)
}

explorando(x,y)




