#5.1 Editando alguns parmetros grficos. Crie um grfico de disperso entre dap1) e ht2) com: 
setwd("C:/Users/Lazaro/Programa R")
getwd()
esaligna <- read.table("esaligna.csv", header=TRUE, sep=",", as.is=TRUE)
esaligna
head(esaligna)
tail(esaligna)
str(esaligna)
summary(esaligna)

x11()
par(cex=2)
grafico<- plot(esaligna$dap~esaligna$ht, xlab="Dap(cm)", ylab="Altura(m)", tck=.01, bty="L", main="Dap em funo da altura")

#5.2 Dois grficos juntos
x11()
par(mfrow=c(1,2))
boxplot(esaligna$dap~esaligna$talhao, mtext="a", side=3, main="DAP x TALHO", xlab="Talho", ylab="DAP")

media<-  aggregate(esaligna$dap, by=list(talhao=esaligna$talhao), FUN=mean) #calculei a mdia
desvio <- aggregate(esaligna$dap, by=list(talhao=esaligna$talhao), FUN=sd) #calculei o desvio 
media.dap <- c(media$x)
desvio.dap<- c(desvio$x)
talhao <- unique(esaligna$talhao)

plot(media.dap ~media$talhao, main="Mdia e Desvio por talho", xlab="Talho", ylab="Mdia do DAP",ylim=c(0, 20))
segments(x0=media$talhao , y0=media.dap-desvio.dap , x1=media$talhao , y1=media.dap+desvio.dap)
mtext("b")




#5.3 Leia os dados deste arquivo e usando as variveis x1 e y1 e x2 e y2 tente reproduzir esta figura:

exercicio <- read.table("exercicio3.csv", header=TRUE, sep=",", as.is=TRUE)
exercicio
head(exercicio)
tail (exercicio)
summary(exercicio)
ex1 <- exercicio$x1
ex1
ey1 <- exercicio$y1
ey1
ex2<- exercicio$x2
ey2<- exercicio$y2

x11()
par(mfrow=c(1,2), tcl=0.3, bty="l", mgp=c(3,0.5,0), family= "Serif")
par(mar=c(6, 6, 6, 0.1))
plot(ex1~ey1, xlab="Log(Patch size)(h)", ylab="Euclidean distances", pch=17, xlim=c(0.5,2.0), ylim=c(0.5,3.0))
segments(x0=0.6,y0=1.9,x=2.9 ,y=0.8,col="red")
par(tcl= 0.3, bty="L", family= "Serif") 
text(x = 2.3, y=3, labels = "a", cex = 1.5)
par(mar=c(6, 1, 2, 2))
boxplot(x2~y2, data=exercicio, ylim=c(0,3), xaxt="n", outline=FALSE) 
axis(side=1, at=1:6, labels= c("Small\n", "Medium\nEdge", "Medium\nInterior", "Large\nEdge", "Large\nInterior", "Control\n"), cex.axis=1.1)
text(x=c((1:5),6.6),y=3, labels=c("*","*","**","*","***", "b"), cex=1) 




